# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

import sys


def min_rec(values):
    return min_helper(values, 0, sys.maxsize)


def min_helper(values, pos, min_value):
    # $\mbox{\bfseries recursive termination}$
    if pos >= len(values):
        return min_value

    value = values[pos]
    if value < min_value:
        min_value = value

    # $\mbox{\bfseries recursive descent}$
    return min_helper(values, pos + 1, min_value)


print(min_rec([7, 2, 8, 4]))

# benötigt install
import numpy as np

print(min_rec(np.array([7, 2, 8, 4])))
