# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

# https://rubikscode.net/2021/07/12/python-3-10-top-5-features-in-the-new-python-version/

def ide_full_name(short_name):
    match short_name:
        case "PyC":
            return "PyCharm"
        case "VSC":
            return "Visual Studio Code"
        case "ECL":
            return "Eclipse"
        case _:
            return "Not Supported"


def match_lists(input):
    match input:
        case [1, 2]:
            print('First option')
        case [1, 2, 3]:
            print('Second option')


# Unmatchhed => None
def match_lists_with_return(input):
    match input:
        case [1, 2]:
            return 'First option'
        case [1, 2, 3]:
            return 'Second option'


print(ide_full_name("PyC"))
print(ide_full_name("ECL"))

match_lists([1, 2])
match_lists([1, 2, 3])
match_lists([1, 2, 3, 4])

print(match_lists_with_return([1, 2]))
print(match_lists_with_return([1, 2, 3]))
print(match_lists_with_return([1, 2, 3, 4]))
