# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

from ch04_oodesign.carrapp.domain.car import Car


class CarManagementApplication:
    def __init__(self):
        self.available_cars = [Car("Renault", "BLUE", 75),
                               Car("Renault", "PETROL", 175),
                               Car("Ferrari", "RED", 455),
                               Car("BMW", "GREEN", 255),
                               Car("BMW", "YELLOW", 125),
                               Car("VW", "WHITE", 65),
                               Car("VW", "BLUE", 105)]

    def filter_by_brand(self, brand):
        for current_car in self.available_cars:
            if current_car.brand() == brand:
                print(current_car)

    def filter_by_horse_power_greater_than(self, min_horse_power):
        for i in range(len(self.available_cars)):
            if self.available_cars[i].horse_power() > min_horse_power:
                print(self.available_cars[i])


def main():
    app = CarManagementApplication()

    print("Alle Renaults im Angebot:")
    app.filter_by_brand("Renault")

    print()

    print("Alle Autos mit mehr als 150 PS:")
    app.filter_by_horse_power_greater_than(150)


if __name__ == "__main__":
    main()
