# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2020 Michael Inden

# Kapitel 4.1.3

class Car:
    def __init__(self, brand, color, horse_power):
        self.brand = brand
        self.color = color
        self.horse_power = horse_power

    def __str__(self):
        return f"Marke: {self.brand} / Farbe: {self.color} / PS: {self.horse_power}"

    def __repr__(self):
        return self.__str__()

    def paint_with(self, new_color):
        self.color = new_color


my_car = Car("VW", "ORANGE", 123)
my_car.paint_with("GREEN")

print(my_car)

