# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

class Car:
    def __init__(self, brand, color, horse_power):
        self.brand = brand
        self.color = color
        self.horse_power = horse_power

    def __str__(self):
        return f"Marke: {self.brand} / Farbe: {self.color} / PS: {self.horse_power}"

    def __repr__(self):
        return self.__str__()

    def paint_with(self, new_color):
        self.color = new_color

    def apply_tuning_kit(self):
        self.horse_power += 150


def main():
    # Hauptprogramm
    my_car = Car("VW", "ORANGE", 123)
    my_car.paint_with("GREEN")

    print(my_car)


if __name__ == "__main__":
    # execute  this  only  if  the  current  file  is  interpreted  directly
    main()


