# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

def rotate_right(values):
    if len(values) < 2:
        return

    end_pos = len(values) - 1
    temp = values[end_pos]

    for i in range(end_pos, 0, -1):
        values[i] = values[i - 1]

    values[0] = temp


def rotate_left(values):
    if len(values) < 2:
        return

    end_pos = len(values) - 1
    temp = values[0]

    for i in range(end_pos):
        values[i] = values[i + 1]

    values[end_pos] = temp


def rotate_right_by_n_simple(values, n):
    for i in range(n):
        rotate_right(values)


numbers = [1, 2, 3, 4, 5, 6, 7]

rotate_right(numbers)
print(numbers)
rotate_left(numbers)
print(numbers)

numbers = [1, 2, 3, 4, 5, 6, 7]
rotate_right_by_n_simple(numbers, 1)
print("Rot 1", numbers)

numbers = [1, 2, 3, 4, 5, 6, 7]
rotate_right_by_n_simple(numbers, 2)
print("Rot 2", numbers)

numbers = [1, 2, 3, 4, 5, 6, 7]
rotate_right_by_n_simple(numbers, 3)
print("Rot 3", numbers)

numbers = [1, 2, 3, 4, 5, 6, 7]
rotate_right_by_n_simple(numbers, 4)
print("Rot 4", numbers)
