# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

def upside_down_V1(values):
    result = [[] for i in range(len(values))]

    result_pos = 0
    for i in range(len(values) - 1, -1, -1):
        result[result_pos] = values[i]
        result_pos += 1

    return result


def upside_down(values):
    for i in range(len(values) // 2):
        tmp = values[i]

        end_pos = len(values) - 1 - i
        values[i] = values[end_pos]
        values[end_pos] = tmp


original = [["ONE"],
            ["TWO", "TWO"],
            ["THREE", "THREE", "THREE"]]

print(upside_down_V1(original))

upside_down(original)
for line in original:
    print(line)
print("---------------------------")
upside_down(original)
for line in original:
    print(line)
