# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

from collections import namedtuple
from enum import Enum, auto


class Direction(Enum):
    N = (0, -1)
    NE = (1, -1)
    E = (1, 0)
    SE = (1, 1)
    S = (0, 1)
    SW = (-1, 1)
    W = (-1, 0)
    NW = (-1, -1)


ne = Direction.NE
print(ne)
print(ne.value)
print(ne.value[0], " / ", ne.value[1])

dxdy = namedtuple('dxdy', ['dx', 'dy'])


class DirectionV2(Enum):
    N = dxdy(0, -1)
    NE = dxdy(1, -1)
    E = dxdy(1, 0)
    SE = dxdy(1, 1)
    S = dxdy(0, 1)
    SW = dxdy(-1, 1)
    W = dxdy(-1, 0)
    NW = dxdy(-1, -1)


ne = DirectionV2.NE
print(ne)
print(ne.value)
print(ne.value.dx, " / ", ne.value.dy)
