# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

import os

os.chdir(".")
files = os.listdir()

for current in files:
    size = os.path.getsize(current)
    is_dir = os.path.isdir(current)

    dir_marker = "[DIR]" if is_dir else " "
    size_info_marker = " -/- " if is_dir else " " + str(size)

    print(current + size_info_marker + dir_marker)
