# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

try:
    value = int("7271")
    print("after parsing. result", value)
except ValueError:
    print("can't parse to integer")

try:
    value = int("ERROR")
    print("after parsing. result", value)
except ValueError:
    print("can't parse to integer")

names = ["Tim", "Tom", "Mike"]
try:
    print("INVALiD INDEX: " + names[42])
except:
    print("wrong index")

print("-----------------------------")
names = ["Tim", "Tom", "Mike"]
for i in range(5):
    try:
        value = int(names[i])
    except (ValueError, ZeroDivisionError):
        print("can't parse to integer")
    except IndexError:
        print("wrong index")
print("-----------------------------")

names = ["Tim", "Tom", "Mike"]
try:
    print("INVALID INDEX: " + names[42])
except:
    print("wrong index")
finally:
    print("ALWAYS EXECUTED")

try:
    value = int("ERROR")
    print("after parsing")
except KeyError:
    pass
# except ValueError:
#    print("can't parse to integer")


try:
    value = int("ERROR")
    print("after parsing")
finally:
    pass
