# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

def to_binary(n):
    if n < 0:
        raise ValueError("n must be >= 0")

    # $\mbox{\bfseries recursive termination: prüfe auf Ziffer im Binärsystem}$
    if n <= 1:
        return str(n)

    remainder, last_digit = divmod(n, 2)

    # $\mbox{\bfseries recursive descent }$
    return to_binary(remainder) + str(last_digit)


print(to_binary(0))
print(to_binary(1))
print(to_binary(2))
print(to_binary(22))
