# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

class Car:
    def __init__(self, brand, color, horse_power):
        self.__brand = brand
        self.__color = color
        self.__horse_power = horse_power

    def __str__(self):
        return f"Marke: {self.__brand} / Farbe: {self.__color} / PS: {self.__horse_power}"

    def __repr__(self):
        return self.__str__()

    def paint_with(self, new_color):
        self.__color = new_color

    def apply_tuning_kit(self):
        self.__horse_power += 150

    # Zugriff nach außen gewähren
    def brand(self):
        return self.__brand

    def horse_power(self):
        return self.__horse_power

    def set_horse_power(self, horse_power):
        if horse_power <= 0 or horse_power > 2_000:
            raise ValueError("INVALID PS: not in range 1 - 2000")

        self.__horse_power = horse_power

    def horse_power(self, horse_power):
        if horse_power <= 0 or horse_power > 2_000:
            raise ValueError("INVALID PS: not in range 1 - 2000")

        self.__horse_power = horse_power


def main():
    # Hauptprogramm
    my_car = Car("VW", "ORANGE", 123)
    my_car.paint_with("GREEN")

    print(my_car)

    my_car.set_horse_power(727)
    print(my_car)

    my_car.horse_power(1234)
    print(my_car)

    my_car.horse_power(7271)
    print(my_car)


if __name__ == "__main__":
    # execute  this  only  if  the  current  file  is  interpreted  directly
    main()
