# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

from ch05_collections.intro.swap import swap


def reverse(values, start, end):
    while start < end:
        swap(values, start, end)

        start += 1
        end -= 1


values = ["A", "B", "C", "D", "E", "F", "G", "H"]
reverse(values, 0, len(values) - 1)
print(values)

reverse(values, 2, len(values) - 3)
print(values)


def reverse2(values, start, end):
    for i in range(((end - start) // 2)):
        swap(values, i + start, end - i)


values = ["A", "B", "C", "D", "E", "F", "G", "H"]
reverse2(values, 0, len(values) - 1)
print(values)

numbers = {1, 2, 3, 4, 5, 6, 7, 8, 9}
