# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

def safe_get(values, idx, fallback_value):
    try:
        return values[idx]
    except IndexError:
        return fallback_value


names = ["Tim", "Tom", "Mike"]

print(safe_get(names, 4711, "UNKNOWN"))
print(names[4711])
