# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

from functools import reduce

raise_to_power = lambda x, y: x ** y

print(raise_to_power(2, 8))

my_list = [1, 5, 4, 6, 8, 11, 3, 12]

is_even = lambda x: (x % 2 == 0)
new_list = list(filter(is_even, my_list))

print(new_list)

my_list = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]

new_list = list(map(lambda x: x * 2, my_list))

print(new_list)

# functools
print(reduce(lambda x, y: x + y, [47, 11, 42, 13]))


def fahrenheit(T):
    return round(((9.0 / 5) * T + 32), 1)


def celsius(T):
    return round((5.0 / 9) * (T - 32), 1)


temperatures = (36.5, 37, 37.5, 39)

temperaturesInF = list(map(fahrenheit, temperatures))
temperaturesInC = list(map(celsius, temperaturesInF))

print(temperatures)
print(temperaturesInF)
print(temperaturesInC)

to_fahrenheit = lambda T: round(((9.0 / 5) * T + 32), 1)
temperaturesInF = list(map(to_fahrenheit, temperatures))
print(temperaturesInF)

animals = ['dog', 'cat', 'parrot', 'rabbit']

# here we intend to change all animal names
# to upper case and return the same
uppered_animals = list(map(lambda animal: animal.upper(), animals))

print(animals)
print(uppered_animals)

classify = lambda age: 'Adult' if age >= 18 else 'Child'
ages = [5, 18, 65, 12]
print(list(map(classify, ages)))
