# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

def simple_positional(first, second):
    print(first, second)


def simple_positional_with_default(first, second, third_with_default="DEFAULT"):
    print(first, second, third_with_default)


# Aufrufe mit Position
simple_positional("1st", "2nd")
simple_positional_with_default("1st", "2nd")

# Aufrufe mit Name
simple_positional(second="2nd", first="1st")
simple_positional_with_default(second="2nd", first="1st", third_with_default="3rd")


##############################################

def var_args_sum(info, *args):
    result = 0
    for num in args:
        result += num
    return info + str(result)


print(var_args_sum("Summe: ", 1, 2, 3, 4, 5, 6, 7))


##############################################

def process_values(**kwargs):
    for key, value in kwargs.items():
        print("{0} = {1}".format(key, value))


process_values(**{"Tim": ["Java"], "Michael": ["Java", "Python"], "Peter": ["C#"]})
