# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

def fib(n):
    if n == 1 or n == 2:
        return 1

    return fib(n - 1) + fib(n - 2)


print(fib(5))


#################################


def fib_gen():
    yield 1
    yield 1

    fib1 = 1
    fib2 = 1

    while True:
        fib = fib1 + fib2
        yield fib

        fib2 = fib1
        fib1 = fib


gen = fib_gen()
for _ in range(10):
    print(next(gen))
