# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

from itertools import groupby

things = [("hobby", "Bowling"), ("music", "Rock"), ("hobby", "Karate"),
          ("music", "Jazz"), ("music", "Pop"), ("hobby", "Cycling"),
          ("hobby", "Programming"), ("music", "Hard Rock")]

sorted_things = sorted(things, key=lambda entry: entry[0])
for key, group in groupby(sorted_things, lambda entry: entry[0]):
    list_of_things = " and ".join([entry[1] for entry in group])
    print("Category", key, "with values:", list_of_things)

result = {}
extract_category = lambda entry: entry[0]
for key, group in groupby(sorted_things, extract_category):
    members = result.get(key, []) + \
              list([entry[1] for entry in group])
    result.update({key: members})

print(result)
