# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

class FactorialIterator:
    def __init__(self, n=0):
        self.n = n
        self.result = 1
        self.iteration = 1

    def __iter__(self):
        return self

    def __next__(self):
        if self.iteration > self.n:
            raise StopIteration

        self.result *= self.iteration
        self.iteration += 1
        return self.result


numbers = FactorialIterator(5)

it = iter(numbers)

print(next(it))
print(next(it))
print(next(it))
print(next(it))
print(next(it))


for it in FactorialIterator(5):
    print(it)