# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

class FibIter:
    def __init__(self, max=0):
        self.max = max
        self.last_1 = 1
        self.last_2 = 1
        self.iteration = 1

    def __iter__(self):
        return self

    def __next__(self):
        if self.iteration <= 2:
            self.iteration += 1
            return 1
        elif self.iteration <= self.max:
            result = self.last_1 + self.last_2
            self.last_2 = self.last_1
            self.last_1 = result
            self.iteration += 1
            return result
        else:
            raise StopIteration


numbers = FibIter(10)

it = iter(numbers)

print(next(it))
print(next(it))
print(next(it))
print(next(it))
print(next(it))
print(next(it))
print(next(it))
print(next(it))
print(next(it))
print(next(it))
# print(next(i))
