# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

def my_first_generator():
    n = 1
    print('This is printed first')
    yield n

    n += 2
    print('This is printed second')
    yield n

    n += 3
    print('This is printed at last')
    yield n


# erzuegt Generator, aber startet nicht die Iteration
gen = my_first_generator()

# We can iterate through the items using next().
print(next(gen))

# Local variables and theirs states are remembered between successive calls.
print(next(gen))

for item in my_first_generator():
    print(item)
