# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

def fibonacci_numbers():
    f1 = 0
    f2 = 1

    yield 0
    yield 1

    # etwas verwirrend
    while True:
        f = f1 + f2
        f2 = f1
        f1 = f
        yield f


def square(n):
    yield n ** 2


for i in range(10):
    print(next(square(i)))

fib_gen = fibonacci_numbers()
for i in range(10):
    print(next(fib_gen))

print("#############################")
fib_gen = fibonacci_numbers()
for i in range(10):
    print(next(fib_gen))
