# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

import os

import datetime


def seconds_to_time(seconds):
    return datetime.datetime.fromtimestamp(seconds)


path = "abc.txt"

file = open(path, 'a')
try:
    print("readable", file.readable())
    print("writable", file.writable())

    print("accessed", seconds_to_time(os.path.getatime(path)))
    print("modified", seconds_to_time(os.path.getmtime(path)))
    print("created", seconds_to_time(os.path.getctime(path)))

    print("abspath", os.path.abspath(path))
    print("basename", os.path.basename(path))
    print("size", os.path.getsize(path))

finally:
    file.close()
