# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

import os
from os.path import expanduser


def print_directory(current_dir, path, level):
    os.chdir(current_dir)
    files = os.listdir()

    for file in files:
        print("    " * level, end="")
        print(file)

        if os.path.isdir(file):
            print_directory(file, path + file, level + 1)

    # Wechsel zurück in das aktuelle Verzeichnis
    if path != "":
        os.chdir("../..")


home = expanduser("~")
print_directory(home + "/files-examples-dir", "", 0)
# print_directory("../ch08_files", "", 0)
# print_directory("../", "", 0)
