# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

import datetime


def day_of_month(date_time):
    return datetime.datetime.today().day


def day_of_year1(date_time):
    return date_time.timetuple().tm_yday


def day_of_year2(date_time):
    return date_time.toordinal() - datetime.date(date_time.year, 1, 1).toordinal() + 1


def day_of_year3(date_time):
    return date_time.strftime('%j')


def get_week_day_en(my_date):
    from datetime import date
    import calendar
    return calendar.day_name[my_date.weekday()]


def get_week_day(my_date):
    return my_date.strftime('%A')


print(day_of_month(datetime.datetime.today()))
print(day_of_year1(datetime.datetime.today()))
print(day_of_year2(datetime.datetime.today()))
print(day_of_year3(datetime.datetime.today()))
print(get_week_day_en(datetime.datetime.today()))
print(get_week_day(datetime.datetime.today()))
