# Beispielprogramm für das Buch "Einfach Python"
#
# (C) 2021 Michael Inden

import datetime

# length of month
print((datetime.date(2012, 3, 1) - datetime.date(2012, 2, 1)).days)
print((datetime.date(2014, 3, 1) - datetime.date(2014, 2, 1)).days)

# length of year
print((datetime.date(2013, 1, 1) - datetime.date(2012, 1, 1)).days)
print((datetime.date(2015, 1, 1) - datetime.date(2014, 1, 1)).days)


def calc_length_of_month(month, year):
    start = datetime.date(year, month, 1)

    month += 1
    if month > 12:
        year += 1
        month = 1

    end = datetime.date(year, month, 1)

    return (end - start).days


def calc_length_of_year(year):
    start = datetime.date(year, 1, 1)
    end = datetime.date(year + 1, 1, 1)
    return (end - start).days


# length of month nicer
print(calc_length_of_month(2, 2012))
print(calc_length_of_month(2, 2014))

# length of year nicer
print(calc_length_of_year(2012))
print(calc_length_of_year(2014))
